Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access
Class NoSyncObjectStore

    java.lang.Object
      org.apache.cayenne.access.ObjectStore
          org.apache.cayenne.access.NoSyncObjectStore

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, SnapshotEventListener, GraphChangeHandler, GraphManager

    public class NoSyncObjectStore

extends ObjectStore

An `ObjectStore` which doesn't receive notifications on parent's `DataRowStore` events.

Since:
  3.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.access.ObjectStore
`changes, context, dataRowCache, dataRowCacheSet, objectMap`

Constructor Summary
`NoSyncObjectStore(DataRowStore dataRowCache, java.util.Map<java.lang.Object,Persistent> objectMap)`

Method Summary
`void` | `setDataRowCache(DataRowStore dataRowCache)` Sets parent DataRowStore.

Methods inherited from class org.apache.cayenne.access.ObjectStore
`arcCreated, arcDeleted, getCachedSnapshot, getContext, getDataRowCache, getNode, getObjectIterator, getSnapshot, hasChanges, nodeCreated, nodeIdChanged, nodePropertyChanged, nodeRemoved, objectsInState, objectsRolledBack, objectsUnregistered, registeredNodes, registeredObjectsCount, registerNode, setContext, snapshotsChanged, unregisterNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoSyncObjectStore

    public NoSyncObjectStore(DataRowStore dataRowCache,
                             java.util.Map<java.lang.Object,Persistent> objectMap)

Method Detail

### setDataRowCache

    public void setDataRowCache(DataRowStore dataRowCache)

  Description copied from class: `ObjectStore`
  Sets parent DataRowStore. Registers to receive SnapshotEvents if the cache is configured to allow ObjectStores to receive such events.

  Overrides:
    `setDataRowCache` in class `ObjectStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.